Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.event
Class EJB3PersistOnFlushEventListener

    java.lang.Object
      org.hibernate.event.def.AbstractReassociateEventListener
          org.hibernate.event.def.AbstractSaveEventListener
              org.hibernate.event.def.DefaultPersistEventListener
                  org.hibernate.ejb.event.EJB3PersistEventListener
                      org.hibernate.ejb.event.EJB3PersistOnFlushEventListener

All Implemented Interfaces:
  Serializable, CallbackHandlerConsumer, org.hibernate.event.PersistEventListener

    public class EJB3PersistOnFlushEventListener

extends EJB3PersistEventListener

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.event.def.AbstractSaveEventListener
`DELETED, DETACHED, PERSISTENT, TRANSIENT`

Constructor Summary
`EJB3PersistOnFlushEventListener()`

Method Summary
`protected org.hibernate.engine.CascadingAction` | `getCascadeAction()`

Methods inherited from class org.hibernate.ejb.event.EJB3PersistEventListener
`invokeSaveLifecycle, setCallbackHandler`

Methods inherited from class org.hibernate.event.def.DefaultPersistEventListener
`entityIsPersistent, entityIsTransient, getAssumedUnsaved, onPersist, onPersist`

Methods inherited from class org.hibernate.event.def.AbstractSaveEventListener
`cascadeAfterSave, cascadeBeforeSave, getEntityState, getLoggableName, getMergeMap, isVersionIncrementDisabled, performSave, performSaveOrReplicate, saveWithGeneratedId, saveWithRequestedId, substituteValuesIfNecessary, validate, visitCollectionsBeforeSave`

Methods inherited from class org.hibernate.event.def.AbstractReassociateEventListener
`reassociate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJB3PersistOnFlushEventListener

    public EJB3PersistOnFlushEventListener()

Method Detail

### getCascadeAction

    protected org.hibernate.engine.CascadingAction getCascadeAction()

  Overrides:
    `getCascadeAction` in class `org.hibernate.event.def.DefaultPersistEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD